package mx.gob.jumapacelaya.ui;

import com.vaadin.flow.component.dependency.CssImport;
import com.vaadin.flow.component.html.*;
import com.vaadin.flow.component.orderedlayout.HorizontalLayout;
import com.vaadin.flow.component.orderedlayout.VerticalLayout;
import com.vaadin.flow.component.textfield.TextField;
import com.vaadin.flow.router.PageTitle;
import com.vaadin.flow.router.Route;
import jakarta.annotation.security.PermitAll;

@PermitAll
@PageTitle("Plan Anual de Mantenimiento")
@Route(value = "/", layout = MainLayout.class)
@CssImport("./themes/sistema-mantenimiento/styles.css")
public class PlanAnualView extends VerticalLayout {

    HorizontalLayout header = new HorizontalLayout();
    H4 titulo = new H4();
    H5 titulo1 = new H5();

    public PlanAnualView() {
        VerticalLayout headerLayout = new VerticalLayout();
        headerLayout.addClassName("plan-anual-header");
        headerLayout.add(titulo, titulo1);

        titulo.addClassName("plan-anual-titulo");
        titulo1.addClassName("plan-anual-titulo1");
        titulo.setText("Plan Anual de Mantenimiento Preventivo de Equipo de Computo");
        titulo1.setText("2024");

        header.setAlignSelf(Alignment.CENTER, titulo, titulo1);

        HorizontalLayout nomenclaturaLayout = new HorizontalLayout();
        // Image celayaLogo = new Image("images/logocelaya2124.png", "celaya2024");
        // celayaLogo.addClassName("celaya-logo");

        TextField nomenclaturaTxt = new TextField();
        nomenclaturaTxt.setValue("FR01-PA-7.1.3-02");
        nomenclaturaTxt.setReadOnly(true);
        nomenclaturaTxt.addClassName("nomenclatura-txt");


       // nomenclaturaLayout.add(celayaLogo);
        nomenclaturaLayout.addAndExpand(new HorizontalLayout());
        nomenclaturaLayout.add(nomenclaturaTxt);




        this.setPadding(false);
        this.setMargin(false);
        this.setSpacing(false);
        add(headerLayout, nomenclaturaLayout);

    }
}
